gt-jdbc-hana - Support for HANA 1

Description

Currently, the gt-jdbc-hana plugin supports HANA 2 only.

If used with a HANA 1 instance, some queries work, but many fail because some functions are not available in HANA 1 yet.

gt-jdbc-hana should support the revisions of HANA 1 that are still supported by SAP (120 and later). gt-jdbc-hana should reject older revisions (< 120) immediately on establishing a connection.

Environment

None

Status

Assignee

Unassigned

Reporter

Stefan Uhrig

Triage

None

Priority

Medium